zenilib: zenilib/jni/external/freetype2/include/freetype/ftcache.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions | Variables
ftcache.h File Reference
`#include <ft2build.h>`
`#include <FT_GLYPH_H>`

Go to the source code of this file.

## Classes

struct | FTC_ImageTypeRec_
struct | FTC_SBitRec_
struct | FTC_ScalerRec_

## Macros

#define | FTC_IMAGE_TYPE_COMPARE(d1, d2)

## Typedefs

typedef struct FTC_CMapCacheRec_ * | FTC_CMapCache
typedef FT_Error(* | FTC_Face_Requester )(FTC_FaceID face_id, FT_Library library, FT_Pointer request_data, FT_Face *aface)
typedef struct FTC_ImageCacheRec_ * | FTC_ImageCache
typedef struct FTC_ImageTypeRec_ * | FTC_ImageType
typedef struct FTC_ImageTypeRec_ | FTC_ImageTypeRec
typedef struct FTC_ManagerRec_ * | FTC_Manager
typedef struct FTC_NodeRec_ * | FTC_Node
typedef struct FTC_SBitRec_ * | FTC_SBit
typedef struct FTC_SBitCacheRec_ * | FTC_SBitCache
typedef struct FTC_SBitRec_ | FTC_SBitRec
typedef struct FTC_ScalerRec_ * | FTC_Scaler
typedef struct FTC_ScalerRec_ | FTC_ScalerRec

## Functions

| FTC_CMapCache_Lookup (FTC_CMapCache cache, FTC_FaceID face_id, FT_Int cmap_index, FT_UInt32 char_code)
| FTC_CMapCache_New (FTC_Manager manager, FTC_CMapCache *acache)
| FTC_ImageCache_Lookup (FTC_ImageCache cache, FTC_ImageType type, FT_UInt gindex, FT_Glyph *aglyph, FTC_Node *anode)
| FTC_ImageCache_LookupScaler (FTC_ImageCache cache, FTC_Scaler scaler, FT_ULong load_flags, FT_UInt gindex, FT_Glyph *aglyph, FTC_Node *anode)
| FTC_ImageCache_New (FTC_Manager manager, FTC_ImageCache *acache)
| FTC_Manager_Done (FTC_Manager manager)
| FTC_Manager_LookupFace (FTC_Manager manager, FTC_FaceID face_id, FT_Face *aface)
| FTC_Manager_LookupSize (FTC_Manager manager, FTC_Scaler scaler, FT_Size *asize)
| FTC_Manager_New (FT_Library library, FT_UInt max_faces, FT_UInt max_sizes, FT_ULong max_bytes, FTC_Face_Requester requester, FT_Pointer req_data, FTC_Manager *amanager)
| FTC_Manager_RemoveFaceID (FTC_Manager manager, FTC_FaceID face_id)
| FTC_Manager_Reset (FTC_Manager manager)
| FTC_Node_Unref (FTC_Node node, FTC_Manager manager)
| FTC_SBitCache_Lookup (FTC_SBitCache cache, FTC_ImageType type, FT_UInt gindex, FTC_SBit *sbit, FTC_Node *anode)
| FTC_SBitCache_LookupScaler (FTC_SBitCache cache, FTC_Scaler scaler, FT_ULong load_flags, FT_UInt gindex, FTC_SBit *sbit, FTC_Node *anode)
| FTC_SBitCache_New (FTC_Manager manager, FTC_SBitCache *acache)

## Variables

FT_BEGIN_HEADER typedef FT_Pointer | FTC_FaceID

## Macro Definition Documentation

#define FTC_IMAGE_TYPE_COMPARE | ( |  | d1,
|  |  | d2
| ) |  |

Value:
( (d1)->face_id == (d2)->face_id && \
(d1)->width == (d2)->width && \
(d1)->flags == (d2)->flags )
width
EGLSurface EGLint EGLint EGLint width
Definition: eglext.h:293
flags
GLenum GLsizei GLsizei GLsizei GLsizei GLbitfield flags
Definition: glew.h:2767

Definition at line 703 of file ftcache.h.

## Typedef Documentation

typedef struct FTC_CMapCacheRec_* FTC_CMapCache

Definition at line 571 of file ftcache.h.

typedef FT_Error(* FTC_Face_Requester)(FTC_FaceID face_id, FT_Library library, FT_Pointer request_data, FT_Face *aface)

Definition at line 210 of file ftcache.h.

typedef struct FTC_ImageCacheRec_* FTC_ImageCache

Definition at line 730 of file ftcache.h.

typedef struct FTC_ImageTypeRec_* FTC_ImageType

Definition at line 697 of file ftcache.h.

typedef struct FTC_ImageTypeRec_ FTC_ImageTypeRec

typedef struct FTC_ManagerRec_* FTC_Manager

Definition at line 261 of file ftcache.h.

typedef struct FTC_NodeRec_* FTC_Node

Definition at line 281 of file ftcache.h.

typedef struct FTC_SBitRec_* FTC_SBit

Definition at line 871 of file ftcache.h.

typedef struct FTC_SBitCacheRec_* FTC_SBitCache

Definition at line 938 of file ftcache.h.

typedef struct FTC_SBitRec_ FTC_SBitRec

typedef struct FTC_ScalerRec_* FTC_Scaler

Definition at line 456 of file ftcache.h.

typedef struct FTC_ScalerRec_ FTC_ScalerRec

## Function Documentation

FTC_CMapCache_Lookup | ( | FTC_CMapCache | cache,
|  | FTC_FaceID | face_id,
|  | FT_Int | cmap_index,
|  | FT_UInt32 | char_code
| ) |  |

Definition at line 288 of file ftccmap.c.

References FT_FaceRec_::charmap, FT_FaceRec_::charmaps, cmap, error, FT_ASSERT, FT_Get_Char_Index(), FT_MAX_CHARMAP_CACHEABLE, FT_Select_Charmap(), FT_Set_Charmap(), FT_TRACE0, FTC_CACHE, FTC_CACHE_LOOKUP_CMP, FTC_CMAP_HASH, FTC_CMAP_INDICES_MAX, FTC_CMAP_NODE, ftc_cmap_node_compare(), FTC_CMAP_UNKNOWN, FTC_Manager_LookupFace(), FTC_CacheRec_::manager, NULL, and FT_FaceRec_::num_charmaps.

FTC_CMapCache_New | ( | FTC_Manager | manager,
|  | FTC_CMapCache * | acache
| ) |  |

Definition at line 261 of file ftccmap.c.

References FTC_CACHE_P, and FTC_Manager_RegisterCache().

FTC_ImageCache_Lookup | ( | FTC_ImageCache | cache,
|  | FTC_ImageType | type,
|  | FT_UInt | gindex,
|  | FT_Glyph * | aglyph,
|  | FTC_Node * | anode
| ) |  |

Definition at line 316 of file ftcbasic.c.

References error, FT_INT_MIN, FT_TRACE1, FT_UINT_MAX, FTC_BASIC_ATTR_HASH, ftc_basic_family_compare(), FTC_GCACHE, FTC_GCACHE_LOOKUP_CMP, FTC_GNode_Compare(), FTC_GQUERY, FTC_INODE, NULL, and FTC_NodeRec_::ref_count.

FTC_ImageCache_LookupScaler | ( | FTC_ImageCache | cache,
|  | FTC_Scaler | scaler,
|  | FT_ULong | load_flags,
|  | FT_UInt | gindex,
|  | FT_Glyph * | aglyph,
|  | FTC_Node * | anode
| ) |  |

Definition at line 411 of file ftcbasic.c.

References error, FT_TRACE1, FT_UINT_MAX, FTC_BASIC_ATTR_HASH, ftc_basic_family_compare(), FTC_GCACHE_LOOKUP_CMP, FTC_GNode_Compare(), FTC_INODE, NULL, and FTC_NodeRec_::ref_count.

FTC_ImageCache_New | ( | FTC_Manager | manager,
|  | FTC_ImageCache * | acache
| ) |  |

Definition at line 305 of file ftcbasic.c.

References FTC_GCache_New().

FTC_Manager_Done | ( | FTC_Manager | manager | ) |

Definition at line 412 of file ftcmanag.c.

References FTC_CacheClassRec_::cache_done, FTC_CacheRec_::clazz, FT_FREE, FTC_MruList_Done(), idx, and NULL.

FTC_Manager_LookupFace | ( | FTC_Manager | manager,
|  | FTC_FaceID | face_id,
|  | FT_Face * | aface
| ) |  |

Definition at line 308 of file ftcmanag.c.

References error, FTC_FACE_NODE, ftc_face_node_compare(), FTC_MRULIST_LOOKUP_CMP, and NULL.

Referenced by ftc_basic_family_get_count(), FTC_CMapCache_Lookup(), and ftc_scaler_lookup_size().

FTC_Manager_LookupSize | ( | FTC_Manager | manager,
|  | FTC_Scaler | scaler,
|  | FT_Size * | asize
| ) |  |

Definition at line 181 of file ftcmanag.c.

References error, FTC_MRULIST_LOOKUP_CMP, FTC_SIZE_NODE, ftc_size_node_compare(), and NULL.

Referenced by ftc_basic_family_load_bitmap(), and ftc_basic_family_load_glyph().

FTC_Manager_New | ( | FT_Library | library,
|  | FT_UInt | max_faces,
|  | FT_UInt | max_sizes,
|  | FT_ULong | max_bytes,
|  | FTC_Face_Requester | requester,
|  | FT_Pointer | req_data,
|  | FTC_Manager * | amanager
| ) |  |

Definition at line 353 of file ftcmanag.c.

References error, FTC_ManagerRec_::faces, FT_NEW, FTC_MAX_BYTES_DEFAULT, FTC_MAX_FACES_DEFAULT, FTC_MAX_SIZES_DEFAULT, FTC_MruList_Init(), FTC_ManagerRec_::library, library, FTC_ManagerRec_::max_weight, FTC_ManagerRec_::memory, FTC_ManagerRec_::request_data, FTC_ManagerRec_::request_face, and FTC_ManagerRec_::sizes.

FTC_Manager_RemoveFaceID | ( | FTC_Manager | manager,
|  | FTC_FaceID | face_id
| ) |  |

Definition at line 664 of file ftcmanag.c.

References FTC_Cache_RemoveFaceID(), ftc_face_node_compare(), and FTC_MruList_RemoveSelection().

FTC_Manager_Reset | ( | FTC_Manager | manager | ) |

Definition at line 452 of file ftcmanag.c.

References FTC_MruList_Reset().

FTC_Node_Unref | ( | FTC_Node | node,
|  | FTC_Manager | manager
| ) |  |

Definition at line 684 of file ftcmanag.c.

FTC_SBitCache_Lookup | ( | FTC_SBitCache | cache,
|  | FTC_ImageType | type,
|  | FT_UInt | gindex,
|  | FTC_SBit * | sbit,
|  | FTC_Node * | anode
| ) |  |

Definition at line 654 of file ftcbasic.c.

References error, FT_INT_MIN, FT_TRACE1, FT_UINT_MAX, FTC_BASIC_ATTR_HASH, ftc_basic_family_compare(), FTC_GCACHE, FTC_GCACHE_LOOKUP_CMP, FTC_GNODE, FTC_GQUERY, FTC_SBIT_ITEMS_PER_NODE, FTC_SNODE, FTC_SNode_Compare(), NULL, and FTC_NodeRec_::ref_count.

FTC_SBitCache_LookupScaler | ( | FTC_SBitCache | cache,
|  | FTC_Scaler | scaler,
|  | FT_ULong | load_flags,
|  | FT_UInt | gindex,
|  | FTC_SBit * | sbit,
|  | FTC_Node * | anode
| ) |  |

Definition at line 750 of file ftcbasic.c.

References error, FT_TRACE1, FT_UINT_MAX, FTC_BASIC_ATTR_HASH, ftc_basic_family_compare(), FTC_GCACHE_LOOKUP_CMP, FTC_GNODE, FTC_SBIT_ITEMS_PER_NODE, FTC_SNODE, FTC_SNode_Compare(), NULL, and FTC_NodeRec_::ref_count.

FTC_SBitCache_New | ( | FTC_Manager | manager,
|  | FTC_SBitCache * | acache
| ) |  |

Definition at line 643 of file ftcbasic.c.

References FTC_GCache_New().

## Variable Documentation

FT_BEGIN_HEADER typedef FT_Pointer FTC_FaceID

Definition at line 171 of file ftcache.h.

Referenced by ftc_basic_gnode_compare_faceid(), ftc_cmap_node_remove_faceid(), ftc_face_node_compare(), ftc_face_node_init(), and ftc_size_node_compare_faceid().